<?php
/*
Plugin Name: WP-AutoPagerize
Plugin URI: http://moto-mono.net/2009/01/26/wp-autopagerize.html
Description: Activate AutoPagerize in your WordPress
Author: nori
Version: 0.1
Author URI: http://moto-mono.net/
*/

/*  Copyright 2009 nori  (email : norimania@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

function wp_autopagerize($className,$loadjQuery,$defaultCondition,$prevText,$nextText) {
	global $wp_rewrite;
	global $wp_query;
	global $paged;
	
	$paginate_base = get_pagenum_link(1);
	
	if(($wp_query->max_num_pages) > 1):
		if (strpos($paginate_base, '?') || ! $wp_rewrite->using_permalinks()) {
			$paginate_format = '';
			$paginate_base = add_query_arg('paged', '%#%');
		} else {
			$paginate_format = (substr($paginate_base, -1 ,1) == '/' ? '' : '/') .
			user_trailingslashit('page/%#%/', 'paged');;
			$paginate_base .= '%_%';
		}
		if($prevText){
			$prevTxt = $prevText;
		}else{
			$prevTxt = 'prev';
		}
		if($nextText){
			$nextTxt = $nextText;
		}else{
			$nextTxt = "next";
		}
		$result = paginate_links( array(
			'base' => $paginate_base,
			'format' => $paginate_format,
			'total' => $wp_query->max_num_pages,
			'mid_size' => 5,
			'current' => ($paged ? $paged : 1),
			'prev_text' => $prevTxt,
			'next_text' => $nextTxt,	
		));
		echo '<p class="pageNav">'."\n".$result."\n</p>\n";
		
		if(!$className){
			$pageRizeClassNames = "post";
		}else{
			$pageRizeClassNames = $className;
		}
		if(!$defaultCondition){
			$defaultCondition = 0;
		}else{
			$defaultCondition = 1;
		}
		if($loadjQuery){
			echo '<script type="text/javascript" src="'.WP_PLUGIN_URL.'/wp-autopagerize/jquery.js"></script>'."\n";
		}
		echo '<script type="text/javascript">'."\n";
		echo '	var pageRizeClassName = "'.$pageRizeClassNames.'";'."\n";
		echo '	var defaultCondition = '.$defaultCondition.';'."\n";
		echo '	</script>'."\n";
		echo '<script type="text/javascript" src="'.WP_PLUGIN_URL.'/wp-autopagerize/wp-autopagerize.js"></script>'."\n";
	endif;
		
}

add_action('wp_head','pagerizeStyle');
function pagerizeStyle(){
	echo '<link type="text/css" rel="stylesheet" href="'.WP_PLUGIN_URL.'/wp-autopagerize/wp-autopagerize.css" />'."\n";
}
?>